/* DARK     : #0061AA; */
/* MEDIUM   : #0079BD; */
/* LIGHT    : #ACDAEE; */

@import url('https://fonts.googleapis.com/css?family=Lobster|Oswald|Didact+Gothic');

html, body, #front, #back { height: 100%; }
body { overflow-x: hidden; }
a, a:hover, a:active { text-decoration: none !important; }
button { border-radius: 0 !important; border: solid 1px #ccc; color: #fff; font-family: 'Oswald', sans-serif; font-size: 18px !important; padding: 5px 10px; text-transform: uppercase; }
button:disabled { cursor: not-allowed; opacity: .5; }
.a-button { display: block; font-family: 'Oswald', sans-serif; font-size: 18px; padding: 5px 10px; text-align: center; text-transform: uppercase; }
.a-button.inline { display: inline-block !important; }

#loading { background: rgba(0, 0, 0, .9); display: none; height: 100%; position: fixed; top: 0; width: 100%; z-index: 9; }
#loading:before { background: url('../images/loading.png') no-repeat center; content: ""; display: block; height: 100%; width: 100%; }

.form .box { background: #ffd; border: solid 1px #ccc; padding: 40px; }
.form .group { position: relative; }
.form .button { background: #0079BD; }
.form .button:hover { background: #0061AA; }
.form .button.cancel { background: transparent; border: none; color: #0079BD; }
.form .button.cancel:hover { color: #0061AA; }
.form .label { color: #333; display: block; font-family: 'Oswald', sans-serif; font-size: 16px; margin: 0; }
.form .label > span { font-weight: 100 !important; }
.form .label.required {  }
.form .label.required:before { color: #0061AA; content: "*"; font-size: 18px; margin-right: 3px; }
.form .input { background: #fff; border: solid 1px #ccc; border-radius: 4px; color: #0061AA; display: inline-block; font-family: 'Didact Gothic', sans-serif; font-size: 16px; font-weight: 100; padding: 5px 10px; resize: none; width: 100%; }
.form .input.phone { max-width: 200px; }
.form .input.password { max-width: 200px; }
.form .input.number { max-width: 100px; }
.form .input.map { padding: 5px; }
.form .input.map > div { background: #eee; border: solid 1px #ccc; height: 350px; }
.form .input.main { font-weight: bold; }
.form .input.text { min-height: 250px; overflow-y: scroll; }
.form .input:disabled { background: #ddd; color: #999; }
.form select.input { padding: 0 !important; }
.form select.input > option { font-family: inherit; padding: 5px 10px; }
.form .datagrid { background: #0079BD; border: solid 1px #ccc; border-radius: 4px; }
.form.inline .label { display: inline-block; padding-right: 10px; text-align: right; position: absolute; top: 8px; width: 150px; }
.form.inline .input { margin-left: 155px; width: calc(100% - 155px); }
.form.inline .button { margin-left: 155px; width: calc(100% - 155px); }
.form.block .label { margin-bottom: 5px; }
.form.block .button { width: 100%; }
.form.block .button.inline { width: auto !important; }
.form.block .control { border-top: dotted 2px #ccc; padding-top: 20px; }
.form.action { background: none !important; text-align: right; }
.form.action .a-button { color: #fff; display: inline-block; }
.form.action .a-button:hover { color: #ccc; }
.form .group + .group { margin-top: 20px; }
.form .id { width: 150px !important; }
.form .numeric { width: 200px !important; }
.tagsinput { background: #0079BD; border-radius: 3px; color: #fff; font-size: 12px; padding: 0 8px; }
.tagsinput input { width: 100%; }

/* https://paulund.co.uk/learn-css-box-shadow */
.shadow-content { position:relative; box-shadow:0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset; }
.shadow-content:before, .shadow-content:after { content:""; position:absolute; z-index:-1; box-shadow:0 0 20px rgba(0,0,0,0.8); top:0; bottom:0; left:10px; right:10px; border-radius:100px / 10px;  }
.shadow-content:after { right:10px; left:auto; transform:skew(8deg) rotate(3deg); }

.uploader { background: #fff; border: solid 1px #ccc; border-radius: 4px; padding: 10px; width: 100%; -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }
.uploader .image { background: #ccc no-repeat center; background-size: cover; border: solid 1px #ccc; height: 250px; }
.uploader .browser { height: 100%; padding: 0; position: relative; }
.uploader .browser label { background: #0079BD; color: #fff; cursor: pointer; display: block; height: 100%; margin: 0 auto; overflow: hidden; padding: 5px 10px; position: relative; text-align: center; text-transform: uppercase; width: 100%; }
.uploader .browser label:hover { background: #0061AA; }
.uploader .browser label span { font-family: 'Oswald', sans-serif; font-size: 18px; }
.uploader .browser input { border: solid transparent; border-width: 0 0 100px 200px; cursor: pointer; direction: ltr; filter: alpha(opacity= 0); margin: 0; opacity: .0; position: absolute; right: 0; top: 0; -o-transform: translate(250px,-50px) scale(1); -moz-transform: translate(-300px,0) scale(4); }
.uploader .browser .progress { background: none; border-radius: 0; box-shadow: none; /*display: none;*/ height: 2px; left: 0; margin: 0 !important; position: absolute; top: 0; width: 100%; }
.uploader .browser .progress #percent { background: #0096D6; }
.uploader .browser .progress span { display: none; }
.uploader:hover { border-color: #0096D6; }
.uploader-images { margin-top: 10px; }
.uploader-images > div { background: #ccc no-repeat center; background-size: cover; border: solid 4px #fff; box-sizing: content-box; cursor: pointer; display: inline-block; height: 40px; position: relative; width: 40px; }
.uploader-images > div:after { background: rgba(0, 0, 0, .8) url('../images/icons/options.svg') no-repeat center; background-size: 32px 32px; content: ""; display: none; height: 40px; left: 0; position: absolute; top: 0; width: 40px; }
.uploader-images > div:hover:after { display: block; }
.uploader-images.album > div { height: 250px; width: 250px; }
.uploader-images.album > div:after { height: 250px; width: 250px; }

.gm-style > div > a > div > img { display: none; }
.gm-style > div.gmnoprint { display: none; }
.gm-style > div.gm-style-cc { display: none; }